%define major	0

Summary: GNOME virtual file-system libraries
Name: gnome-vfs
Version: 1.0.2
Release: 2mdk
License: LGPL
Group: System/Libraries
BuildRequires: XFree86-devel ORBit-devel gnome-libs-devel libaudiofile-devel 
BuildRequires: libesound-devel libimlib1-devel popt-devel 
BuildRequires: zlib-devel bzip2 libxml-devel liboaf0-devel xml-i18n-tools
BuildRequires: libGConf1-devel >= 1.0 libcdda0-devel
BuildRequires: libopenssl0-devel
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 1.0.1-3mdk support for menu mimetypes
Source1: gnome-vfs-applications.bz2
Source2: gnome-vfs-keys.bz2
Source3: desktop-vfs-module-0.2.tar.bz2
Patch1: gnome-vfs-1.0.1-desktop-sniff.patch.bz2
URL: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is similar in spirit to the Midnight
Commander's VFS (as it uses a similar URI scheme) but it is designed
from the ground up to be extensible and to be usable from any
application.

%package  -n lib%{name}%{major}
Summary: %{summary}
Group: %{group}
%description -n lib%{name}%{major}
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.

This package contains librairies used by gnome-vfs


%package -n lib%{name}%{major}-devel
Provides:	lib%{name}-devel
Summary: Libraries and include files for developing GNOME VFS applications.
Group: Development/GNOME and GTK+
Requires: %{name} = %{version}
Requires: liboaf0-devel
Requires:	lib%{name}%{major} = %{version}
Obsoletes: gnome-vfs-devel
Provides: gnome-vfs-devel

%description -n lib%{name}%{major}-devel
GNOME VFS development 


%prep
%setup -q -a 3
%patch1 -p1 -b .desktopsniff

%build

%configure

(cd desktop-vfs-module-0.2
export CPPFLAGS=-I%{_builddir}/gnome-vfs-%{version}
export LDFLAGS="-L%{_builddir}/gnome-vfs-%{version}/libgnomevfs -L%{buildroot}%{_libdir}"
%configure
)

%make

%install
rm -rf $RPM_BUILD_ROOT
 
%makeinstall

(cd desktop-vfs-module-0.2
%makeinstall)

mkdir -p  $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/gnome-vfs-applications
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/gnome-vfs-keys
chmod a+x $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/*

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n lib%{name}%{major} -p /sbin/ldconfig
%postun  -n lib%{name}%{major} -p /sbin/ldconfig

%post 
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/gnome-vfs-mime-magic
%config(noreplace) %{_sysconfdir}/vfs
%config(noreplace) %{_sysconfdir}/menu-methods/*
%dir %{_libdir}/vfs
%{_libdir}/vfs/extfs
%dir %{_libdir}/vfs/modules
%{_libdir}/vfs/modules/lib*.so*
%{_mandir}/man5/*
%{_datadir}/application-registry
%{_datadir}/mime-info/*

%files -n lib%{name}%{major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*


%files  -n lib%{name}%{major}-devel
%defattr(-, root, root)
%{_bindir}/gnome-vfs-config
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.sh
%{_libdir}/vfs/modules/*.a
%{_libdir}/vfs/modules/*.la
%{_libdir}/gnome-vfs-1.0
%{_includedir}/*

%changelog
* Wed Sep 19 2001 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed menu-methods to produce utf-8 files (now Gnome supports it and
  it solves a lot of charset problems)

* Wed Sep 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Remove patches 0, 2 (merged upstream)

* Wed Aug 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-5mdk
- Patch 1: add .desktop magic detection
- Patch 2: fix segfault
- Source3 : add desktop-vfs-module from Rawhide

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-4mdk
- Fix menu method to run only as root

* Mon Aug  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Add support for mimetype using menu

* Thu Aug  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Patch0: Fix detection of koffice files

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Fri Mar 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Remove Build depencency on control-center-devel (it is no longer needed)

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2
- Clean spec

* Mon Feb  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5
- Force rebuilding of xml-i18n-tools 

* Tue Jan 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-7mdk
- Recompiled with oaf 0.6.2

* Thu Jan  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-6mdk
- Correct dependency
- Move gnome-vfs-config to devel package

* Mon Dec  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-5mdk
- Correct dependencies (and make dadou happy)

* Tue Nov 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-4mdk
- Correct BuildRequires and Requires 

* Fri Nov 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-3mdk
- merge spec from Stefan van der Eijk <s.vanderiejk@chello.nl> :
		Correct BuildRequires (remove old ones, and organize)

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-2mdk
- Correct BuildRequires

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-1mdk
- Release 0.4.2
- Put libraries in separate package

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-7mdk
- added requirements on GConf, control-center and others

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-6mdk
- rebuilded with libxml instead of libxml2

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-5mdk
- added *.so in devel package

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-4mdk
- Rebuild with new version of rpm macros (fix bad rpath)

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-3mdk
- Add more files to packages

* Tue Aug 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-2mdk
- Move .so files to main package until libraries are correctly build

* Wed Aug 23 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1

* Mon Aug 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Release 0.3
- Remove obsolete patch

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2-2mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- first Mandrake package : BM + macroszification
- patch to correctly install libgnomevfs/gnome-vfs-file-size.h

* Tue Feb 22 2000 Ross Golder <rossigee@bigfoot.com>
- Integrate into source tree
